XmLGridCopyPos(3X)

NAME
XmLGridCopyPos - copy the string contents of cells in a Grid at a given location to the clipboard

SYNTAX
Boolean XmLGridCopyPos(widget, time, rowType, row, columnType, column, nrow, ncolumn)
Widget widget;
Time time;
unsigned char rowType;
int row;
unsigned char columnType;
int column;
int nrow;
int ncolumn;

ARGUMENTS

widget
    Grid widget ID

time
    Time of event

rowType
    type of first row

row location of first row

columnType
    type of first column

column
    location of first column

nrow
    number of rows

ncolumn
    number of columns

DESCRIPTION
Copies the contents of cells in nrow number of rows and ncolumn number of columns to the clipboard starting at the row and column specified by rowType, row, columnType, and column. The time parameter should be set to the time of the event (most likely CurrentTime).

RETURN VALUE
A value of True is returned upon success, and False is returned upon failure.

SEE ALSO
XmLGridCopySelected(3X) XmLGridPaste(3X)